<%@ page import="support.*" %> 
<%@ page import="java.io.*" %> 
<%@ page import="java.sql.*" %> 
<%@ page import="org.kxml.*" %> 
<%@ page import="org.kxml.parser.*" %> 
<%@ page import="org.kxml.kdom.*" %> 

<%

  // Get the session object. If the incoming connection
  // is not associated with any existing session, the 
  // container constructs a new session object.
  HttpSession sess = request.getSession(true);
  // Session never expires. The expiration date/time can also 
  // be set in the servlet container's config file.
  sess.setMaxInactiveInterval(-1);

  // Get username. If no username is found, set it to "anonymous".
  String username = (String) sess.getAttribute("Username");
  if ( username == null ) {
    username = "anonymous";
  }

  // Get the JDBC driver
  Class.forName("org.gjt.mm.mysql.Driver");
  // Establish a JDBC connection to the database server.
  Connection conn = DriverManager.getConnection("jdbc:mysql://localhost/JWTest","JWTest", "JWPass");
  // "INSERT" SQL template
  String SQLstr = "INSERT INTO Notes (UserName,Time,Note) VALUES (?,?,?)";
  PreparedStatement pstmt = conn.prepareStatement(SQLstr);

  // "status" will be returned to the MIDP client.
  String status = "The following records have been inserted into the " +
                  "database \n\n";

  // Get info from the XML document posted in the HTTP request
  // and update the database.
  Reader reader = request.getReader();
  DBXMLParser p = new DBXMLParser(reader);
  int rowCount = p.getRowCount( "Notes" );
  for ( int i = 0; i < rowCount; i++ ) {
    // Each row contains data for a timestamp and a note.
    String timeStr = p.getFieldValue("Notes", "Time", i);
    String noteStr = p.getFieldValue("Notes", "NoteText", i);

    pstmt.setObject( 1, username );
    pstmt.setObject( 2, (new Timestamp(Long.parseLong(timeStr))) );
    pstmt.setObject( 3, noteStr );
    pstmt.execute();

    // Update the status after the INSERT is successful.
    status = status + "TIME: "      + timeStr  + "\n" + 
                      "NOTE: "      + noteStr  + "\n\n";
  }

  pstmt.close();
  conn.close();

%>

<root>
  <Response>
    <Status>
      <%=status%>
    </Status>
  </Response>
</root>
