<%
  // Get the session object. If the incoming connection
  // is not associated with any existing session, the 
  // container constructs a new session object.
  HttpSession sess = request.getSession(true);
  // Session never expires. The expiration date/time can also 
  // be set in the servlet container's config file.
  sess.setMaxInactiveInterval(-1);

  // Get username. If no username is found, set it to "anonymous".
  String username = (String) sess.getAttribute("Username");
  if ( username == null ) {
    username = "anonymous";
  }
%>

<root>
  <SessionInfo>
    <Username>
      <%=username%>
    </Username>
  </SessionInfo>
</root>
