<%@ page import="support.*" %> 
<%@ page import="java.io.*" %> 
<%@ page import="org.kxml.*" %> 
<%@ page import="org.kxml.parser.*" %> 
<%@ page import="org.kxml.kdom.*" %> 

<%
  // Get the session object. If the incoming connection
  // is not associated with any existing session, the 
  // container constructs a new session object.
  HttpSession sess = request.getSession(true);
  // Session never expires. The expiration date/time can also 
  // be set in the servlet container's config file.
  sess.setMaxInactiveInterval(-1);

  // "status" will be returned to the MIDP client.
  String status = null;

  // Get info from the XML document posted in the HTTP request
  // and make changes to the session state info.
  Reader reader = request.getReader();
  DBXMLParser p = new DBXMLParser(reader);
  String username = p.getFieldValue("SessionInfo", "Username", 0);
  if ( username == null ) {
    // Tell the MIDP client that the username update is failed
    status = "cannot read username. FAILED!";
  } else {
    status = "Username changed to " + username;
    sess.setAttribute( "Username", username );
  }
%>

<root>
  <Response>
    <Status>
      <%=status%>
    </Status>
  </Response>
</root>
